Bug 645351 - Add support for USB 2.0 (EHCI) to QEMU
Summary: Add support for USB 2.0 (EHCI) to QEMU
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: beta
: 6.2
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 580953 715590
TreeView+ depends on / blocked
 
Reported: 2010-10-21 11:30 UTC by Jes Sorensen
Modified: 2013-01-09 23:16 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.169.el6
Doc Type: Bug Fix
Doc Text:
Cause qemu had no usb 2.0 support. Consequence It was impossible to use usb 2.0 devices in guests Change ehci (usb 2.0 host adapter) emulation was added. Result usb 2.0 devices can be used now.
Clone Of:
: 715590 (view as bug list)
Environment:
Last Closed: 2011-12-06 15:43:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1531 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2011-12-06 01:23:30 UTC

Description Jes Sorensen 2010-10-21 11:30:36 UTC
Description of problem:
Current QEMU lacks USB 2.0 support

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Some patches have been floating around, but never got merged.
http://ns.spinics.net/lists/kvm-devel/msg08821.html

Comment 3 Gerd Hoffmann 2011-06-01 16:01:33 UTC
Anthony just pulled EHCI upstream.  Yay.
Going backport a huge stack of usb patches.

Setting CondNACK just in case because of the sheer number of patches.
They are pretty much local to usb though, so I don't expect that much trouble.

Comment 4 Gerd Hoffmann 2011-06-01 16:03:28 UTC
Oh, and just for the record: I want EHCI have tech preview status in 6.2.
It didn't got enougth real world testing.  Also some important features such as migration support are not there yet.

Comment 11 Gerd Hoffmann 2011-11-18 17:00:59 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    qemu had no usb 2.0 support.
Consequence
    It was impossible to use usb 2.0 devices in guests
Change
    ehci (usb 2.0 host adapter) emulation was added.
Result
    usb 2.0 devices can be used now.

Comment 12 errata-xmlrpc 2011-12-06 15:43:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1531.html


Note You need to log in before you can comment on or make changes to this bug.